<?php
// $Id: mainbody.php,v 1.26 2004/04/07 12:47:50 saka_car Exp $
/**
* Mainbody code
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.26 $
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// message passed via the url
$mosmsg = mosGetParam( $_REQUEST, 'mosmsg', '' );
//if (!get_magic_quotes_gpc()) {
//	$mosmsg = addslashes( $mosmsg );
//}

// allow for future configuration
$popMessages = false;

if ($mosmsg && !$popMessages) {
	echo "\n<div class=\"message\">$mosmsg</div>";
}

if ($path = $mainframe->getPath( 'front' )) {
	$ret = mosMenuCheck( $Itemid, $option, $task, $gid );
	if ($ret) {
		require_once( $path );
	} else {
		mosNotAuth();
	}
} else {
	echo _NOT_EXIST;
}

if ($mosmsg && $popMessages) {
	echo "\n<script language=\"javascript\">alert('$mosmsg');</script>";
}
?>
